Blurry Font Bug from GTK+ 3.10.8 in Trusty 14.04

Bug #1407372 reported by Pascal Mons on 2015-01-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gtk+3.0 (Ubuntu)
Medium
Unassigned

Bug Description

Following a fresh install of Ubuntu Trusty 14.04 I had the surprise to see blurry fonts showing up in gEdit (stock install), when the document viewed is longer than a displayed vertical or horizontal page. I later found it was reported as a bug in Launchpad as "blurry font as document is longer than one page and scroll bars appear", see:

https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1309785

This GTK+ 3.10.8 bug was reported as corrected in September 2014 in in GTK+ 3.13.7 . However someone reported a work-around which consisted of adding an "env" parameter to the Exec command line in the gedit.desktop file.

# Exec=gedit %U
Exec=env GTK_DEBUG=no-pixel-cache gedit %U

It looks like the displayed information on a selected package in Synaptic shows the same behavior i.e. Selecting package "0ad" will show a perfect font rendering in the package info field. However selecting package "0ad-data" which description is slightly longer and will not fit in the panel window, will display then a blurred font.

I tried the same "env GTK_DEBUG=no-pixel-cache" to synaptic cmd. line however this is not working.

Considering that Trusty 14.04 is a LTS release, does anyone knows which env parameter would fix this bug ?

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: synaptic 0.81.1ubuntu1 [modified: usr/share/applications/synaptic.desktop]
ProcVersionSignature: Ubuntu 3.13.0-43.72-generic 3.13.11.11
Uname: Linux 3.13.0-43-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
CurrentDesktop: Unity
Date: Sat Jan 3 21:14:20 2015
InstallationDate: Installed on 2014-12-19 (15 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
SourcePackage: synaptic
UpgradeStatus: No upgrade log present (probably fresh install)

Pascal Mons (anton+) wrote :
Adolfo Jayme (fitojb) on 2015-01-04
affects: synaptic (Ubuntu) → gtk+3.0 (Ubuntu)
Changed in gtk+3.0 (Ubuntu):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers